# class Byebug::NextCommand

Implements the next functionality.

Allows the user the continue execution until the next instruction in the current frame.

### Public Class Methods

description() click to toggle source

    # File lib/byebug/commands/next.rb, line 20
        def self.description
          <<-DESCRIPTION
            n[ext][ nnn]

            #{short_description}
          DESCRIPTION
        end

regexp() click to toggle source

    # File lib/byebug/commands/next.rb, line 16
    def self.regexp
      /^\s* n(?:ext)? (?:\s+(\S+))? \s*$/x
    end

short_description() click to toggle source

    # File lib/byebug/commands/next.rb, line 28
    def self.short_description
      "Runs one or more lines of code"
    end

### Public Instance Methods

execute() click to toggle source

    # File lib/byebug/commands/next.rb, line 32
    def execute
      steps, err = parse_steps(@match[1], "Next")
      return errmsg(err) unless steps

      context.step_over(steps, context.frame.pos)
      processor.proceed!
    end